Subject: Re: [PATCH 3/7] oid_array: rename source file from sha1-array

From: Taylor Blau <[email-masked]>
Date: Tue, 14 Apr 2020 18:34:04 -0600

On Mon, Mar 30, 2020 at 10:03:46AM -0400, Jeff King wrote:
> We renamed the actual data structure in 910650d2f8 (Rename sha1_array to
> oid_array, 2017-03-31), but the file is still called sha1-array. Besides
> being slightly confusing, it makes it more annoying to grep for leftover
> occurrences of "sha1" in various files, because the header is included
> in so many places.
>
> Let's complete the transition by renaming the source and header files
> (and fixing up a few comment references).
>
> I kept the "-" in the name, as that seems to be our style; cf.
> fc1395f4a4 (sha1_file.c: rename to use dash in file name, 2018-04-10).
> We also have oidmap.h and oidset.h without any punctuation, but those
> are "struct oidmap" and "struct oidset" in the code. We _could_ make
> this "oidarray" to match, but somehow it looks uglier to me because of
> the length of "array" (plus it would be a very invasive patch for little
> gain).

I was wondering what you were planning to do about that. But I think
that what you did is the right move. Sure, perhaps it'd be more
consistent to call this "oidarray", or rename everything else to
"oid_map" and "oid_set".

I prefer what you did here to that, I think because I also find the
"oidarray" spelling to be weird.

>
> Signed-off-by: Jeff King <[email-masked]>
> ---

Thanks,
Taylor